RagTime5Text Class Reference

the main class to read the text part of RagTime 56 file More...

`#include <RagTime5Text.hxx>`

## Public Member Functions

| RagTime5Text (RagTime5Document &doc)
| constructor
virtual | ~RagTime5Text ()
| destructor
int | version () const
| returns the file version
int | numPages () const
| returns the number of pages

## Static Public Member Functions

static std::string | printType (unsigned long fileType)
| debug: print a file type

## Protected Member Functions

void | flushExtra (bool onlyCheck=false)
| sends the data which have not yet been sent to the listener
std::shared_ptr< RagTime5ClusterManager::Cluster > | readTextCluster (RagTime5Zone &zone, int zoneType)
| try to read a text cluster
bool | readPLC (RagTime5TextInternal::ClusterText &cluster, int zoneId)
| try to read a list of PLC
bool | readPLCToCharStyle (RagTime5TextInternal::ClusterText &cluster)
| try to read a plc id to char style correspondance
bool | readLinkZones (RagTime5TextInternal::ClusterText &cluster, RagTime5ClusterManager::Link const &link, int what)
| try to read a list of link/list definition with what=0:attachment, 1:item, 3:index, 4:field, 5:footnote
bool | readTextSeparators (RagTime5Zone &zone, std::vector< int > &pos)
| try to read the text separators
bool | send (int zoneId, MWAWListenerPtr listener, int partId=0, int cellId=0, double totalWidth=-1)
| try to send the cluster zone
bool | send (RagTime5TextInternal::ClusterText &cluster, MWAWListenerPtr listener, int partId=0, int cellId=0, double totalWidth=-1)
| try to send the cluster zone
bool | send (RagTime5TextInternal::ClusterText &cluster, RagTime5Zone &dataZone, MWAWListenerPtr listener, size_t firstChar, size_t lastChar, bool isLastZone, double totalWidth)
| try to send the caracter between fChar and lChar

## Protected Attributes

RagTime5Document & | m_document
| the parser
std::shared_ptr< RagTime5StructManager > | m_structManager
| the structure manager
std::shared_ptr< RagTime5StyleManager > | m_styleManager
| the style manager
MWAWParserStatePtr | m_parserState
| the parser state
std::shared_ptr< RagTime5TextInternal::State > | m_state
| the state

## Private Member Functions

| RagTime5Text (RagTime5Text const &orig)=delete
RagTime5Text & | operator= (RagTime5Text const &orig)=delete

## Friends

class | RagTime5TextInternal::SubDocument
class | RagTime5Document

## Detailed Description

the main class to read the text part of RagTime 56 file

## Constructor & Destructor Documentation

## RagTime5Text() [1/2]

RagTime5Text::RagTime5Text | ( | RagTime5Document & | doc | ) |

explicit

constructor

Referenced by operator=(), and RagTime5Text().

## ~RagTime5Text()

RagTime5Text::~RagTime5Text | ( |  | ) |

virtual

destructor

## RagTime5Text() [2/2]

RagTime5Text::RagTime5Text | ( | RagTime5Text const & | orig | ) |

private delete

## Member Function Documentation

## flushExtra()

void RagTime5Text::flushExtra | ( | bool | onlyCheck = false | ) |

protected

sends the data which have not yet been sent to the listener

## numPages()

int RagTime5Text::numPages | ( |  | ) | const

returns the number of pages

## operator=()

RagTime5Text & RagTime5Text::operator= | ( | RagTime5Text const & | orig | ) |

private delete

## printType()

std::string RagTime5Text::printType | ( | unsigned long | fileType | ) |

inline static

debug: print a file type

Referenced by RagTime5TextInternal::TextCParser::parseDataZone().

## readLinkZones()

bool RagTime5Text::readLinkZones | ( | RagTime5TextInternal::ClusterText & | cluster,
|  | RagTime5ClusterManager::Link const & | link,
|  | int | what )

protected

try to read a list of link/list definition with what=0:attachment, 1:item, 3:index, 4:field, 5:footnote

Referenced by readTextCluster().

## readPLC()

bool RagTime5Text::readPLC | ( | RagTime5TextInternal::ClusterText & | cluster,
|  | int | zoneId )

protected

try to read a list of PLC

Referenced by readTextCluster().

## readPLCToCharStyle()

bool RagTime5Text::readPLCToCharStyle | ( | RagTime5TextInternal::ClusterText & | cluster | ) |

protected

try to read a plc id to char style correspondance

Referenced by readTextCluster().

## readTextCluster()

std::shared_ptr< RagTime5ClusterManager::Cluster > RagTime5Text::readTextCluster | ( | RagTime5Zone & | zone,
|  | int | zoneType )

protected

try to read a text cluster

## readTextSeparators()

bool RagTime5Text::readTextSeparators | ( | RagTime5Zone & | zone,
|  | std::vector< int > & | pos )

protected

try to read the text separators

Referenced by send().

## send() [1/3]

bool RagTime5Text::send | ( | int | zoneId,
|  | MWAWListenerPtr | listener,
|  | int | partId = 0,
|  | int | cellId = 0,
|  | double | totalWidth = -1 )

protected

try to send the cluster zone

Referenced by flushExtra(), send(), and send().

## send() [2/3]

bool RagTime5Text::send | ( | RagTime5TextInternal::ClusterText & | cluster,
|  | MWAWListenerPtr | listener,
|  | int | partId = 0,
|  | int | cellId = 0,
|  | double | totalWidth = -1 )

protected

try to send the cluster zone

## send() [3/3]

bool RagTime5Text::send | ( | RagTime5TextInternal::ClusterText & | cluster,
|  | RagTime5Zone & | dataZone,
|  | MWAWListenerPtr | listener,
|  | size_t | firstChar,
|  | size_t | lastChar,
|  | bool | isLastZone,
|  | double | totalWidth )

protected

try to send the caracter between fChar and lChar

## version()

int RagTime5Text::version | ( |  | ) | const

returns the file version

## Friends And Related Symbol Documentation

## RagTime5Document

friend class RagTime5Document

friend

Referenced by RagTime5Document, and RagTime5Text().

## RagTime5TextInternal::SubDocument

friend class RagTime5TextInternal::SubDocument

friend

## Member Data Documentation

## m_document

RagTime5Document& RagTime5Text::m_document

protected

the parser

Referenced by RagTime5Text(), readLinkZones(), readPLC(), readPLCToCharStyle(), readTextCluster(), send(), and send().

## m_parserState

MWAWParserStatePtr RagTime5Text::m_parserState

protected

the parser state

Referenced by RagTime5Text(), send(), send(), and version().

## m_state

std::shared_ptr<RagTime5TextInternal::State> RagTime5Text::m_state

protected

the state

Referenced by flushExtra(), RagTime5Text(), readLinkZones(), readTextCluster(), and send().

## m_structManager

std::shared_ptr<RagTime5StructManager> RagTime5Text::m_structManager

protected

the structure manager

Referenced by RagTime5Text(), and readLinkZones().

## m_styleManager

std::shared_ptr<RagTime5StyleManager> RagTime5Text::m_styleManager

protected

the style manager

Referenced by RagTime5Text(), send(), and send().

The documentation for this class was generated from the following files:

- RagTime5Text.hxx
- RagTime5Text.cxx